// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    maintainer
//                  maintainer@somewhere.net

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef SUBSCRIBERCOMPDEF_SUBSCRIBER_IMPL_H
#define SUBSCRIBERCOMPDEF_SUBSCRIBER_IMPL_H

/************************************************************
 Subscriber_impl class header
 ************************************************************/

#include "subscriberCompdef/Pkg_subscriberCompdef.h"

#include "simple_msgs/msg/map.hpp"
#include "subscriberCompdef/Subscriber.h"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace subscriberCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component Subscriber
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class Subscriber_impl: public Subscriber {
public:

  /**
   * 
   * @param options 
   */
  Subscriber_impl(rclcpp::NodeOptions /*in*/options);

  /**
   * 
   * @param commobj 
   */
  void fListening(const simple_msgs::msg::Map::SharedPtr /*in*/commobj);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace subscriberCompdef

/************************************************************
 End of Subscriber_impl class header
 ************************************************************/

#endif
